Ubuntu

[Lenovo Thinkpad T60] Sound doesn't play properly after upgrade from 11.04->11.10

Reported by Stefan Bucher on 2011-10-22
238
This bug affects 44 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Confirmed
High
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

After the upgrade from Natty to Oneiric the sound that is played (by any program ex. banshee, VLC, Flash) sound very awkward, like if the whole sound is slightly gargling.

My computer: Thinkpad T60

Already tried to solve the problem: The german ubuntuforum has a wiki-page to solve sound problems (http://wiki.ubuntuusers.de/Sound_Problembehebung). Unfortunately, nothing helped - even a reinstalling of the Alsa-Module didn't solve the problem. Hence I think this is a bug.

Special: In the thread that I opened in the german forum (http://forum.ubuntuusers.de/topic/nach-upgrade-11-04-auf-11-10-ueberschlaegt-der-ton/) there was another user that has the same Problem AND he has the same computer as I do. Therefore, I'm not sure if it is a computerspecific problem that may be connected with the chipset of the T60...

Thanks
Quesst

Several Launchpad bug reports in process report radeon KMS conflicts with Intel wifi and audio output, causing wireless to hang/drop until power cycle and audio to crackle during any high GPU load. Disabling KMS as a workaround returns normal system operation.

Relevant Launchpad reports:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/564376
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/578342
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/571770
And one on Bugzilla:
https://bugzilla.kernel.org/show_bug.cgi?id=15912

My own hardware is a Thinkpad T60 with Radeon X1400 and Intel wireless (iwl3945 driver) running vanilla Ubuntu 10.04. Users of Radeon X1250, X1300, and Xpress 200M chipsets have also reported the same behavior, on Lenovo, Dell and LG laptops. Using a mainline kernel does not change the behavior.

This may possibly be due to a difference in PCI configuration between KMS and UMS, they use different IRQs for "Pin A" as detailed in the Bugzilla report linked above.

Thanks for any assistance you can provide! And thanks for all your hard work!

Confirming this one, Thinkpad Z61m, ATI X1400. However, the IRQ difference does not seem to matter for the audio problems (I've tested with radeon KMS both with and without MSI, which is the difference between the two PCI configs listed in bug at https://bugzilla.kernel.org/show_bug.cgi?id=15912).

Is there an option in your bios to assign different irqs to different pci devices? Some systems set every device to the same irq.

I don't think it is directly an IRQ issue that can be solved in the BIOS.
Because on my girlfriend's laptop which is also hit by this problem the radeon takes IRQ 17 with IO-APIC-fasteoi and hda_intel takes IRQ 24 with PCI-MSI-edge

(In reply to comment #3)
> I don't think it is directly an IRQ issue that can be solved in the BIOS.
> Because on my girlfriend's laptop which is also hit by this problem the radeon
> takes IRQ 17 with IO-APIC-fasteoi and hda_intel takes IRQ 24 with PCI-MSI-edge

Actually, before booting the kernel itself (thus it can not be seen in DMESG) there is the message that starts with:
pci 0000:00:00.0: address space collision [..more stuff here..]
Just like in this mail I believe: http://lkml.org/lkml/2010/3/12/92

I don't know whether this could be relevant.

I have no messages about address space collisions in kernel boot log. I'll add my hardware info to this bug tomorrow (interrupts, PCI, dmesg, Xorg, etc).

This appears to also be causing kernel crashes on some systems when wifi is powered off using the hardware switch. Disabling radeon KMS causes the crash behavior to disappear. I will inform devs in the upstream bug reports on that issue.

Reported in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/555286

(In reply to comment #6)

Oops, nevermind... I'm already upstream. Too many tabs open, sorry.

Is there an option in your bios to assign different irqs to different pci
devices? Some systems set every device to the same irq. If so, please try changing the setting to auto, or select different irqs for each device and see if that helps. Also, please try both with and without msi enabled (boot with pci=nomsi).

(In reply to comment #8)
> Is there an option in your bios to assign different irqs to different pci
> devices? Some systems set every device to the same irq. If so, please try
> changing the setting to auto, or select different irqs for each device and see
> if that helps. Also, please try both with and without msi enabled (boot with
> pci=nomsi).

Yes. However, the list looks very uninformative. It's under PCI config, and basically contains just INTA-> 11, INTB -> 11, INTC -> 11, and so on. Tried setting to Auto-select on all entries (instead of 11). System booted OK, but it didn't help (on KMS+audio problems). Tried assigning sequentially from IRQ 3 and up, but then I got a really loud Thinkpad-style alarm beep, system didn't get past POST, and BIOS informing that network controller was missing IRQ. So obviously I switched back to default settings. The /proc/interrupts list didn't really look any different with BIOS-autoconfig for PCI IRQs (IIRC).

Booting with option pci=nomsi does not help at all, even though it definitely affects IRQ config, since /proc/interrupts contains no MSI-entries when booting with this option.

I will now be attaching some info for system running 2.6.34 kernel on Ubuntu Lucid x86 with ATIX1400 (KMS-mode). System has severe audio glitching with KMS, and no glitching at all in UMS mode.

Created attachment 35734
Kernel boot log

Audio glitching reproduced immediately after logging in to X session.

Created attachment 35735
Contents of /proc/interrupts

Created attachment 35736
Contents of /proc/interrupts with MSI disabled

Does not resolve issue.

38 comments hidden view all 132 comments
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed

same here Thinkpad T60.

found this in my syslog:

Oct 24 14:25:57 christian-ThinkPad-T60 pulseaudio[4389]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Oct 24 14:25:57 christian-ThinkPad-T60 pulseaudio[4389]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.

also appears after fresh installation.

Francisco Villar (villarf) wrote :

I am also affected by this bug, also on a Thinkpad T60.
Found the following issue which might be related: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/763065

Francisco Villar (villarf) wrote :

I am not entirely sure if it is related, but after deinstalling timidity and timidity-daemon the problem is gone on my machine.

Stefan Bucher (buchers) wrote :

It seems that this bug is uniquely related to Unity - when I log in on GNOME I don't have a problem with the sound... (or at least it didn't appear till now). Hence, one could check what files are different in playing sound in GNOME and Unity. My knowledge is definetly too little to do that.

Btw. I never had timidity installed.

Laurent Moser (laurent-moser) wrote :

Same here: owning a T60 - updated to 11.10 -> gargling sound

Balázs Németh (atyauristen) wrote :

confirmed. thinkpad t410 here with KDE, so not uniquely related to Unity i'm afraid :-/

Francisco Villar (villarf) wrote :

Unfortunately the bug was back for me shortly after uninstalling timidity. So it is definitely not related to timidity.

Jan Kouba (kouba-honza) wrote :

I have the same choppy sound problem but on Kubuntu. It showed up after upgrade from Kubuntu 10.10 to 11.04 and is still present in 11.10. The machine is IBM ThinkPad T60 with ATI X1400.

I think this is result of bug https://bugs.freedesktop.org/show_bug.cgi?id=28106

Francisco Villar (villarf) wrote :

I got rid of Unity / Gnome and switched to Lubuntu. The sound bug is gone.

affects: ubuntu → alsa-utils (Ubuntu)
Jan Kouba (kouba-honza) on 2011-12-04
affects: alsa-utils → xserver-xorg-driver-ati
Anthony Day (tonyd) wrote :

I also have this problem on a T60, not much I can add to what has been said. It isn't just Ubuntu, I came to Ubuntu from Suse 11.4 which has the same problem also Ubuntu 11.04 is no different to 11.10 One thing I have noticed is that in my case sound appears to be good at least for ten minutes or so until the computer goes into a suspend or hibernate state on coming out sound is broken and choppy distinctly worse with any screen activity. One solution I have read suggests re-starting alsa after a suspend so far havn't managed to do this "alsa force-unload" fails.

Jan Kouba (kouba-honza) wrote :

The workaround (for me) is to disable desktop effects. In Kubuntu it's done by pressing ALT+SHIFT+F12.

Anthony Day (tonyd) wrote :

Yes that workaround also worked on SuSe 11.4. This is not a problem just with Ubuntu, having tried a few current distro's in an attempt to find one which works I can say that they all have the same issue in varying degrees, at least that's my experience. Interestingly I have also come across a few references to similar problems in XP. My gut feel is that it's an ACPI / interrupt mapping problem but really don't know enough to prove / investigate it.

Anthony Day (tonyd) wrote :

O.K done something I should have done a while ago, had a look on the lenovo forums and then on to Intel. What I have found makes me sad and angry at the same time. This is a hardware problem at a multiplicity of levels which neither Lenovo or Intel are going to resolve anytime soon if ever.
Ref:- http://forums.lenovo.com/t5/T61-and-prior-T-series-ThinkPad/Audio-stutter-on-T61p/td-p/43413

and if you read through this thread it will eventually take you to this...
http://communities.intel.com/thread/6021?start=90&tstart=0

Both the WiFi and Network drivers in current kernels come from Intel.

A bit ironic that the Linux community has of late taken to applauding HW manufacturers for providing Linux drivers, not much point if what they provide is c**p.

I guess that to resolve this would need somebody upstream in the kernel / driver development areas to take a look.

Actually I don't think that it's an Intel Network driver problem nor something with the nvidia drivers. I have a T60 here that has an atheros wifi and an ATI graphics card. Sound is HDA intel but the last post suggested its caused by intel network drivers. The wired lan is an Intel Corporation 82573L Gigabit Ethernet Controller but I disabled that one - the problem still persists... Either it's something with the whole lenovo system architecture or the problem is caused by another component...

Anthony Day (tonyd) wrote :

Read the contents of the links I posted, when you analyses all that has been said on those forums the problem is down to Deferred Procedural Calls principally it would appear from Network stuff or video stuff, Intel admit that they have a problem with some of their drivers, and that is demonstrated in other ways the iwl3945 driver is at least on my machine forever having to re-start the hardware or reload the driver, it's probably not coincidence that in my case currently I appear to only have a problem coming out of suspend / hibernate some wifi cards are well know for having problems with power saving modes.
My take on it from much reading various forums is that this problem seems to happen on machines with both Nvidea and ATI (I have ATI) and on machines running ALL flavours of operating systems, that takes you down to BIOS /EC /ACPI code, just because you disable / remove the operating system driver that doesn't mean that the device is inactive at a BIOS / ACPI code level. I feel pretty sure that if I could get the sound interrupts up to a priority level above that of video / network /keyboard there wouldn't be a problem (at least with audio). I use to know how to do that but PCI & ACPI have turned what was a simple subject into a black art which I no longer understand.

Yeah, I also remember that good old ISA bus days where you could just assign your interrupts to the card slots in the bios - but these days are long gone and to be true, it wasn't all that bright these days. I didn't want to prove your point invalid but just point out, that this might not just be caused by intels faulty drivers. I also think that the reason has to have its origin on a deeper layer but what I also see, is that this problems didn't occur on older kernels - or at least they were not that noticable - despite also having compiz running and so on. And at least I can say, that these problems don't occur on me when I'm on windows even not when playing hw intense games. So probably it is not in the hardware itself but has something to do with how the interrupts are handled and the problem lies probably somewhere in the schedulling area of the kernel. DPCs are a windows mechanism in the schedulling area but I think the Linux kernel has something quite similar.

Jason E. (jaeick11) wrote :

I would also like to confirm that the issue occurs using Gnome Shell, but on a very VERY limited basis. Almost unnoticeable. However using Unity the sound becomes so garbled and ruined that it is unbearable.

JD Rogers (rogersjd) wrote :

I thought this was biting me too, and I have a t60. I vaguely remember having some sound glitches that come through when scrolling or moving windows some time back (maybe 2 years?).

I was just testing grumpily playing around with sound settings and noticed the sound test sounded ok. And the sound is also fine from banshee, but everything was terrible from the browser (and I was getting some pretty high cpu usage out of plugin-container). I upgraded the flashplugin and sound seems to be working as good as in 10.04 for me now.

I wouldn't be surprised if this turns out to be short lived as some other have reported (rebooting, uninstalling something like timidity, etc temporarily fixes things), but the good news is I seem to have working sound for the moment. So if anyone want me to try anything for comparison, let me know.

Ah! yes but is it still good after a "suspend" or hibernation?

Under Ubuntu my sound is fine until I do a suspend, when it comes back
it's bad. Interestingly and Apropos another post re under Gnome Shell I
have discovered that running Gnome on SuSe 11.4 sound appears to be fine
both before and after suspend, under KDE it is even worse than Ubuntu.

and now my mouse has gone to sleep ! *&$.

 On Sat, 2011-12-17 at 06:59 +0000, JD Rogers wrote:
> I thought this was biting me too, and I have a t60. I vaguely remember
> having some sound glitches that come through when scrolling or moving
> windows some time back (maybe 2 years?).
>
> I was just testing grumpily playing around with sound settings and
> noticed the sound test sounded ok. And the sound is also fine from
> banshee, but everything was terrible from the browser (and I was getting
> some pretty high cpu usage out of plugin-container). I upgraded the
> flashplugin and sound seems to be working as good as in 10.04 for me
> now.
>
> I wouldn't be surprised if this turns out to be short lived as some
> other have reported (rebooting, uninstalling something like timidity,
> etc temporarily fixes things), but the good news is I seem to have
> working sound for the moment. So if anyone want me to try anything for
> comparison, let me know.
>

zemadz (zemadz) wrote :

When I boot up with Unity 3D, then for some time the sound seems OK. But as I launch programs or use some graphics effects (like SUPER+W), then the sound is immediately distorted and remains that way.

I can't seem to trigger the sound to go nuts in Unity 2D mode.

alex (webalex) wrote :

Setting the radeon clock speed to low (with the tlp power-save script) solves the sound problem for me (Thinkpad T60, radeon x1400)

affects: alsa-utils (Ubuntu) → alsa-driver (Ubuntu)
Neven Klacar (nklacar) wrote :

How do we go about debugging this ? Any tracing we can enable in the radeon debug driver?

Changed in xserver-xorg-driver-ati:
importance: Unknown → High
status: Unknown → Confirmed
65 comments hidden view all 132 comments

(In reply to comment #65)
> You might also try this patch:
> http://cgit.freedesktop.org/~airlied/linux/commit/?h=drm-fixes&id=b7f5b7dec3d539a84734f2bcb7e53fbb1532a40b

I tried to git the 11.10 package from ubuntu and recompile with the change you mentioned in rs600.c file and r100.c . It didnt seem to help. I noticed someone tried disabling MSI so this might not be related to MSI at all...

I was thinking of trying the latest radeon src?

Has anyone tried messing with the audio or wifi drivers? It's possible the issue is on that side. How about messing with the cpufreq governors? Is it still an issue if you force the cpu power state to performance, etc.?

6 comments hidden view all 132 comments

The wifi I tried disabling the sound quaility is still bad when doing anything display intensive. I havent tried disabling alsa altogether to see if the wifi is still dropping..

I wanna say when I first come up with MSI fixed version it sounds fine, youtube also sounds normal, but if I make the unity taskbar show up, then it goes into some sort of bad state where sound is bad again..maybe the clock switch in the gpu clock or cpu? Not sure....

I need to do some more experiments, haven't had the time.

5 comments hidden view all 132 comments

For example playing a flash video from Youtube, when it is visible in the browser window then the distortion is very noticeable, but when I scroll down so that the video is out of the view, then the distortion is a lot less pronounced.

Just by scrolling around at any page the distortion gets worse during the scrolling.

zemadz (zemadz) wrote :

Also when I run Ubuntu 12.04 Beta 1 from a live USB then the sound is fine, but when I made a clean install onto the HDD then the sound problem is still there.

This distorted sound issue is also seemingly having effect on the system responsiveness. On the HDD installation sometimes clicks don't register and keys get stuck (system doesn't register that the key was released). All in all it is a pretty annoying experience running Ubuntu at the moment.

Øyvind Stegard (oyvinst) wrote :

Issue persists in 12.04. Tested with many combinations of kernel module options for the radeon and snd-hda-intel modules, but nothing really eliminates the problem. The only way for machine to be usable with KMS-era Ubuntu is to not use a "3D" desktop, but rather Unity 2D or anything else not too demanding.

Hans Hellén (hans-hellen) wrote :

As a workaround one could try to test if changing the clocksource helps.
Command: gksu gedit /etc/default/grub
Change line: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash clocksource=jiffies"
sudo update-grub
sudo reboot

This was presented in bug #882566 comment #6: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/882566/comments/6

Hans Hellén <email address hidden> writes:

> As a workaround one could try to test if changing the clocksource helps.
> Command: gksu gedit /etc/default/grub
> Change line: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
> to: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash clocksource=jiffies"
> sudo update-grub
> sudo reboot

Thanks for the tip. A little too late for me, I'm afraid. I did try
different clock sources, but not jiffies, unfortunately (acpi_pm looked
promising for a while, but did eventually fail with gargling audio).
I've spent countless hours combining kernel and BIOS-options to see if
anything helped, but it feels like some kind of fundamental issue that
hasn't improved at all since KMS was introduced. Even an external USB
audio card pops and clicks, with latency warnings in kernel log, so
looks like USB bus suffers as well. Jiffie-clocksource may resolve audio
issues (except for the CPU usage), but Radeon-KMS is sluggish on this
laptop, and so it's really just annoying to use it.

(I got so fed up with this whole thing, that I wiped the laptop
completely and installed the oem WindowsXP-cd that came with it. And now
everything works amazingly well. Except I don't have Linux on it.
Anyways, I only need it as a video playback machinene these days, so..
End of story for me, I will deal no more with this bug.)

Just tried changing clocksource to jiffies, but it doesn't help. At first it played fine for a little while, but when I used Alt+Tab then the garbled sound returned.

1 comments hidden view all 132 comments

I'm having the same prob since the update to 11.10, and I found out that the garbling / distorted sound coming out of my t60 is because the sound is played slightly to slow. When I'm playing sound with banshee for example it usually works fine as long as I don't touch my laptop, but as soon as I do something, let's say using my browser, I can hear the playback getting slightly slower causing the distortion. Sometimes it get's faster again and the garbling stops, sometimes it's like a wave, getting faster and slower and faster and slower. It's like the laptop is to slow or hasn't enough ressources to properly play the sound, but CPU-load is like 10% or so and there's over 1Gb of RAM free.

2 comments hidden view all 132 comments

According to bug 38694 there can be problems when changing the number of PCIe lanes. Does disabling that as described there help for this problem?

Hi,

Apologies if this is not strictly on topic regarding fixing this bug - what I'm curious to know is what the 'best case' workaround all of you are using to avoid this problem? I'm open to absolutely any distribution, desktop environment, etc. Just wondering what the best alternative many of you have found to avoid the conflict and maintain the most functionality.

My best case options so far: Ubuntu 10.04 LTS where I don't remember noticing this problem, or even 12.04 in 2D if I could get my volume control buttons to work on my Thinkpad t60.

I'm also playing with arch to see if I can build something usable I like.

Regards,

K

2 comments hidden view all 132 comments
Kolin S. Murray (kolinab) wrote :

Apologies if this is not strictly on topic regarding fixing this bug - what I'm
curious to know is what the 'best case' workaround all of you are using to
avoid this problem? I'm open to absolutely any distribution, desktop
environment, etc. Just wondering what the best alternative many of you have
found to avoid the conflict and maintain the most functionality.

My best case options so far: Ubuntu 10.04 LTS where I don't remember noticing
this problem, or even 12.04 in 2D if I could get the volume control buttons to
work on my Thinkpad t60.

Regards, K.

My solution was a T60P :-)

Regards Tony

On Tue, 2012-04-24 at 10:16 +0000, Kolin S. Murray wrote:
> Apologies if this is not strictly on topic regarding fixing this bug - what I'm
> curious to know is what the 'best case' workaround all of you are using to
> avoid this problem? I'm open to absolutely any distribution, desktop
> environment, etc. Just wondering what the best alternative many of you have
> found to avoid the conflict and maintain the most functionality.
>
> My best case options so far: Ubuntu 10.04 LTS where I don't remember noticing
> this problem, or even 12.04 in 2D if I could get the volume control buttons to
> work on my Thinkpad t60.
>
> Regards, K.
>

2 comments hidden view all 132 comments

Sound distortion can be avoided when you switch over to a terminal (CTRL+ALT+F1) while listening.

But my best workaround is to dual boot and use Windows.

zemadz (zemadz) wrote :

Is there anyone trying to fix this problem. Can we help with testing etc?

zemadz (zemadz) on 2012-08-30
summary: - Sound doesn't play properly after upgrade from 11.04->11.10
+ Sound doesn't play properly after upgrade from 11.04->11.10, also
+ affects 12.04

I have the same problem(choppy sound + wifi restarts) on my Thinkpad T60 w/ ATI x1400. There were many "hpet increased min_delta_ns" messages in dmesg's output and decided to try to disable HPET. Adding "hpet=disable" to kernel options seems to mitigate the problem to some extent - i.e. it seems to appear less frequently. After switching to 2D desktop the problem seem to disappear. If the bug is due to some sort of race condition however, it's possible I just got lucky so far ...

Jason E. (jaeick11) wrote :

This issue is preventing me from running Ubuntu on my laptop. I also volunteer to help test if there is anyone willing to work on the issue.

Steven Guy (stevenguy) wrote :

The only way I've been able to get around this bug in 12.04 on my T60 (w/ Radeon x1400) is by using Unity 2D. All other session types, including Gnome (with and without effects) and ones I've installed afterwards like Cinnamon and Cairo reintroduce the gargling audio. So pretty much since day one, I've stuck with Unity 2D and it's been doing fine.

However, the problem with this workaround is that they're getting rid of Unity 2D in the latest updates to 12.04. If you blindly update your Ubuntu without checking what it's doing, you will lose the option altogether. I haven't done this myself, so I don't know if this latest all-in-one version of Unity has fixed the issue, but I have no reason to believe it would.

Has anyone who updated to the latest Unity had any luck? I'm not exactly rushing to see if it breaks my Ubuntu, since I wouldn't know how to undo it, and I don't have backup space for my whole install.

Jan Kouba (kouba-honza) wrote :

I finally found a solution that works for me!

I have T60 with Radeon x1400 and Kubuntu installed. When I use kwin_gles window manager instead of the default one (kwin),
all sound problems are gone: Amarok plays without chopping even with desktop effects enabled, sound is not choppy when playing fullscreen flash videos.

Quick test if it works also for you is:

$ sudo apt-get install kde-window-manager-gles
$ kwin_gles --replace &

For a more durable solution see: http://weits.blogspot.cz/2012/02/kwin-gles-as-default-window-manager-in.html

1 comments hidden view all 132 comments

Hi,

I have been able to get around this bug on IBM T60/x1400 running Kubuntu 12.04, by using kwin_gles desktop manager instead of the default one (kwin).

I had problems with sound slowing down and being very choppy when desktop effects were enabled, or when playing full-screen flash videos. I did not notice any problems with wifi. With kwin_gles I have absolutely no sound issues with desktop effects enabled.

How to change the window manager see:
http://weits.blogspot.cz/2012/02/kwin-gles-as-default-window-manager-in.html

I'm not X expert, so please take the following lines as my humble opinion. I belive, that the workaround is caused by the fact, that kwin_gles uses EGL for rendering, while kwin uses GLX. So maybe this bug can be avoided on other distros and window managers by setting them to use EGL instead of GLX.

Using kwin_gles doesn't make sense on my Asus A8Jr. Sound is crackling still during fullscreen flash video playing and when kwin desktop effects enabled.

Man, I love you! :)
I was fighting with this bug since - I don't know - and now, finally my laptop is usable again.

I know, using GLES is just a workarround - but at least there is one, now :)

2 comments hidden view all 132 comments
Neven Klacar (nklacar) wrote :

modprobing snd-hda-intel with tsched=0 in alsa.conf also helps with the sound issues. They are still there but not as bad...

3 comments hidden view all 132 comments

I also have this issue with my T60. Tha bad news is that after upgrading my distro to 12.10 unity2d - which I used for workaround - is vanished. It's a big problem that I can't use the unity environment, I have to find some other window manager variant like xubuntu or lubuntu until this problem is not solved.

aquadraht (david-cryptix) wrote :

I can confirm this issue with a freshly installed ubuntu 12.10 on two T60 laptops.
I really would appreciate if this bug could be solved!

Nils Ole Tippenhauer (noleti) wrote :

I believe I have the same problem on my Lenove X1 Carbon with 12.10 Xubuntu. In particular, the following might be of interest:

- The problem did not occur after initial installation, but after some time (could be related to updates).

- The problem does not occur after initial boot. It will occur (a) after disconnecting the power supply and going to battery (b) resuming from battery.

So far my workaround is a reboot, which only takes 10s on this machine. It is still very annoying.

Just for the record I've tried Kubuntu 12.04.02 and the kwin_gles workaround does _not_ work for me unfortunately(T60 w/ X1400) . There are still messages like "CE: hpet increased min_delta_ns to 20113 nsec", and the wireless is very slow. This issue is very frustrating and is the first time when the open source model fails to work for me. I mean this report was filed 3 years ago, affects thousands of people, there is no good workaround and yet no one from the "radeon" developers seems to care.
I wonder if we can raise money and put together a bounty or something...

Just for the record I've tried Kubuntu 12.04.02 and the kwin_gles workaround does _not_ work for me unfortunately(T60 w/ X1400) . There are still messages like "CE: hpet increased min_delta_ns to 20113 nsec", and the wireless is very slow. This issue is very frustrating and is the first time when the open source model fails to work for me. I mean this report was filed 3 years ago, affects thousands of people, there is no good workaround and yet no one from the "radeon" developers seems to care.
I wonder if we can raise money and put together a bounty or something...

(posted this on https://bugs.launchpad.net/bugs/879790 24 hours ago but for some reason it's not synchronized yet, so posting it here "manually" too)

That's why I went back to 10.04, I haven't had any issues since then.

This could just as easily be a chipset or sound or wifi issue tiggered by the additional bus activity of KMS.

Does KMS really cause much more activity? It seems the bug did not occur with UMS when it was still supported.

@Alex Deucher: Yes, the modern operating systems and hardware are complex beasts and I surely understand that some bugs may be hard to track down. The point is however that there wasn't a systematic effort to resolve this particular issue except for some "there is a random problem X described in ticket Y, which may be the reason for your troubles too, so why don't you try the solution proposed there". By the way I tried the change proposed by Michel Dänzer in https://bugs.freedesktop.org/show_bug.cgi?id=38694 , but unfortunately it doesn't seem to help either.
I am clueless about the kernel internals, but the manifestations of this bug seem to be consistent with the hypothesis that there is something wrong with the "radeon" driver. It seems like something locks the system for long periods of time and the other time sensitive modules "freak out". On my laptop the problem became even more pronounced when I swapped the "1440x900" LCD panel with a "1600x1200" one.

(In reply to comment #76)
> @Alex Deucher: Yes, the modern operating systems and hardware are complex
> beasts and I surely understand that some bugs may be hard to track down. The
> point is however that there wasn't a systematic effort to resolve this
> particular issue except for some "there is a random problem X described in
> ticket Y, which may be the reason for your troubles too, so why don't you
> try the solution proposed there". By the way I tried the change proposed by
> Michel Dänzer in https://bugs.freedesktop.org/show_bug.cgi?id=38694 , but
> unfortunately it doesn't seem to help either.

There were several suggestions on this bug, but apparently none of them helped.

> I am clueless about the kernel internals, but the manifestations of this bug
> seem to be consistent with the hypothesis that there is something wrong with
> the "radeon" driver. It seems like something locks the system for long
> periods of time and the other time sensitive modules "freak out". On my
> laptop the problem became even more pronounced when I swapped the "1440x900"
> LCD panel with a "1600x1200" one.

A bigger display means more data is being moved around. It sounds to me like a chipset issue when large amounts of data are being transferred across the bus. KMS uses system memory more readily than UMS did which is likely why the issues shows up with KMS. I don't know of any other options to try in the driver. We don't have these problems with the same radeon chips is other systems. Unfortunately, I'm not a chipset expert so I'm not sure what sort of pci quirks, etc. to try.

It could also be that the there is an issue in the sound or wifi driver which didn't show up as readily when there was less traffic on the bug. As far as I know no one has investigated these avenues very much.

I came across what I believe to be this issue: When playing a file in Rhythmbox I would get crackly audio when scrolling in Chromium (was getting crackly audio while using other applications too, but scrolling in Chromium was the most reliable way to reproduce it). None of the solutions for crackly audio I found did anything.

After trawling through plenty of open bug reports I came across this one: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/578342 which suggested it had something to do with the video driver. While I don't have a Radeon card, I was using the Nouveau driver (instead of the proprietary nvidia one).

Changing to the nvidia driver fixed the issue for me. I thought I'd mention it here because I haven't found this solution mentioned anywhere else, and it seems related to the issue described here.

I don't understand why this work around worked for me, nor do I know how to go about contributing information to see the issue resolved. Hopefully this helps someone.

Seemed to have been able to clear it on mine by flashing the BIOS with
the latest available. This on a T61 with ATI graphics running SuSe 11.4.
Gnome and Banshee run sound just fine now.

tday

On Fri, 2013-04-26 at 04:33 +0000, Michael-fulthorp wrote:
> I came across what I believe to be this issue: When playing a file in
> Rhythmbox I would get crackly audio when scrolling in Chromium (was
> getting crackly audio while using other applications too, but scrolling
> in Chromium was the most reliable way to reproduce it). None of the
> solutions for crackly audio I found did anything.
>
> After trawling through plenty of open bug reports I came across this
> one: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/578342
> which suggested it had something to do with the video driver. While I
> don't have a Radeon card, I was using the Nouveau driver (instead of the
> proprietary nvidia one).
>
> Changing to the nvidia driver fixed the issue for me. I thought I'd
> mention it here because I haven't found this solution mentioned anywhere
> else, and it seems related to the issue described here.
>
> I don't understand why this work around worked for me, nor do I know how
> to go about contributing information to see the issue resolved.
> Hopefully this helps someone.
>

I had all the problems as described by Øyvind Stegard and I have the feeling that it got slightly better after installing the latest available BIOS for my Thinkpad T60 2007-CTO (ATI X1400, iwl3945, snd-hda-intel).

I'm running 32bit Arch with the 3.11.4-1-ARCH Kernel and xf86-video-ati 1:7.2.0-1

I've tried all other options mentioned here, without any sign of improvement. What can I do to further help investigating this problem? Would it be of any help to e.g. study the IRQ settings used in windows?

Running Saucy (13.10) on Lenovo X200. Experience this frequently, playing local mp3's, playing youtube videos, playing movies etc.. Audio will play normally but every 2-3 seconds it will "stutter" like it's playing the same audio bit twice really quick..

summary: - Sound doesn't play properly after upgrade from 11.04->11.10, also
- affects 12.04
+ [Lenovo Thinkpad T60] Sound doesn't play properly after upgrade from
+ 11.04->11.10, also affects 12.04
tags: added: oneiric regression-release

Stefan Bucher, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a terminal, as it will automatically gather and attach updated debug information to this report:

apport-collect -p alsa-driver 879790

Changed in alsa-driver (Ubuntu):
status: Confirmed → Incomplete
summary: [Lenovo Thinkpad T60] Sound doesn't play properly after upgrade from
- 11.04->11.10, also affects 12.04
+ 11.04->11.10
Displaying first 40 and last 40 comments. View all 132 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.